Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78074 - xinetd fails with service_limit after number of telnet sessions
Summary: xinetd fails with service_limit after number of telnet sessions
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-18 19:23 UTC by Alan Gruskoff
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-18 16:09:19 UTC


Attachments (Terms of Use)

Description Alan Gruskoff 2002-11-18 19:23:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.4.1) Gecko/20020508
Netscape6/6.2.3

Description of problem:
xinetd posts an error in /var/log/secure as:

	xinetd[823]: FAIL: telnet service_limit from=192.168.254.20

when a certain (60) number of concurrent telnet sessions is reached.

Adding a parameter in the /etc/xinetd.d/telnet file as:

	instances       = UNLIMITED

and restarting xinetd solves the problem.

After making this parameter update, you can signal xinted to refresh without
wiping out current connections as: kill -s SIGHUP <pid> where <pid> is the
process ID of xinetd.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start 60 telnet sessions
2. Try to start more telnet sessions until you cant get a connection
3. Look in /vat/log/secure for xinetd[823]: FAIL: telnet service_limit from=<IP
addr>
	

Actual Results:  connection failed

Expected Results:  new telnet session should have been launched

Additional info:

This is more of a workaround of an undocumented default parameter than a bug.
Previous versions of RedHat did not have a default limit of number of telnet
sessions. This was a new "feature" in 7.1.  Easy workaround, found the hard way.

Comment 1 Bill Nottingham 2006-08-07 18:47:07 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 2 Bill Nottingham 2006-10-18 16:09:19 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.